using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace WCS.Entity.Protocol.SRM
{
    [Description("521")]
    /// <summary>
    /// 堆垛机DB521
    /// </summary>
    public interface ISRM521 : IProtocol
    {
        [Description("任务1")]
        int TaskID1 { get; set; }
        [Description("起始行1")]
        short SRow1 { get; set; }
        [Description("起始列1")]
        short SCol1 { get; set; }
        [Description("起始层1")]
        short SLayer1 { get; set; }
        [Description("取消1")]
        short Cancel1 { get; set; }
        [Description("目标行1")]
        short ERow1 { get; set; }
        [Description("目标列1")]
        short ECol1 { get; set; }
        [Description("目标层1")]
        short ELayer1 { get; set; }
        short EDepth1 { get; set; }
        [Description("完成1")]
        int FinishedTaskID1 { get; set; } 
        int ForkPos1 { get; set; }


        [Description("任务2")]
        int TaskID2 { get; set; }
        [Description("起始行2")]
        short SRow2 { get; set; }
        [Description("起始列2")]
        short SCol2 { get; set; }
        [Description("起始层2")]
        short SLayer2 { get; set; }
        [Description("取消2")]
        short Cancel2 { get; set; }
        [Description("目标行2")]
        short ERow2 { get; set; }
        [Description("目标列2")]
        short ECol2 { get; set; }
        [Description("目标层2")]
        short ELayer2 { get; set; }
        short EDepth2 { get; set; }
        [Description("完成2")]
        int FinishedTaskID2 { get; set; }
        int ForkPos2 { get; set; }

        [Description("运行模式")]
        SrmMode Mode { get; set; }
        [Description("运行状态")]
        SrmRunStatus Status { get; set; }
        [Description("报警")]
        short Alarm { get; set; }
        short Row { get; set; }
        short Col { get; set; }
        short Layer { get; set; }
        int TravelPos { get; set; }
        int LiftPos { get; set; }
        float TotalKM { get; set; }
        float RunTime { get; set; }
        [Description("凭证号")]
        short VoucherNo { get; set; }
    }


}
